// Author: Juan Carlos De Abreu (jcabreur@gmail.com)

#include "DataRaster.h"

BEGIN_TEG_NAMESPACE();

DataRaster::DataRaster() : button_function_(NULL) {}

DataRaster::~DataRaster() {
  Release();
}

void DataRaster::Release() {
  button_function_ = NULL;
}

void DataRaster::Apply() {
  if (button_function_.isValid())
    button_function_->resolve(std::map<std::string, SmartPointer<IData> >());
}

END_TEG_NAMESPACE();
